Query Sub-account API Key (For Master Account) (USER_DATA)
API Description
Query the API Key list of a sub-account.
HTTP Request
GET /sapi/v1/sub-account/subAccountApi
Request Weight(UID)
3000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| STRING | YES | Sub-account email | |
| subAccountApiKey | STRING | NO | Specify an API Key for exact match |
| page | INTEGER | NO | Page number, default 1, minimum 1 |
| size | INTEGER | NO | Page size, default 30, maximum 100 |
| recvWindow | LONG | NO | |
| timestamp | LONG | YES |
Response Example
{
"total": 1,
"rows": [
{
"email": "sub@example.com",
"apiName": "myKey",
"apikey": "vmPUZE6mv9SD5VNHk4HlWFsOr6aKE2zvsw0MuIgwCIPy6utIco14y7Ju91duEh8A",
"canTrade": true,
"canMarginLoanRepay": false,
"canFuturesTrade": false,
"canUniversalTransfer": false,
"canVanillaOptions": false,
"timestamp": 1640000000000
}
]
}
Response Parameters
| Name | Type | Description |
|---|---|---|
| total | INTEGER | Total number of records |
| rows | ARRAY | API Key list, see below |
| STRING | Sub-account email | |
| > apiName | STRING | API Key name |
| > apikey | STRING | API Key value |
| > canTrade | BOOLEAN | Spot & Margin trading permission |
| > canMarginLoanRepay | BOOLEAN | Margin borrow/repay permission |
| > canFuturesTrade | BOOLEAN | Futures trading permission |
| > canUniversalTransfer | BOOLEAN | Universal transfer permission |
| > canVanillaOptions | BOOLEAN | Vanilla options permission |
| > timestamp | LONG | Creation/Update timestamp (ms) |